summaryrefslogtreecommitdiffhomepage
path: root/images/jekyll/build.sh
diff options
context:
space:
mode:
authorIan Lewis <ianlewis@google.com>2020-09-09 09:06:26 -0700
committergVisor bot <gvisor-bot@google.com>2020-09-09 09:08:37 -0700
commit26439f9a43a6a23bd9fbc64f2b43ca843ad25d99 (patch)
tree8943f00183d8805aeba8825971826bd8c8b29a23 /images/jekyll/build.sh
parent00479af515289f42a63ab14cec128ab030120b38 (diff)
Add syntax highlighting to website
Adds a syntax highlighting theme css so that code snippets are highlighted properly. PiperOrigin-RevId: 330733737
Diffstat (limited to 'images/jekyll/build.sh')
-rwxr-xr-ximages/jekyll/build.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/images/jekyll/build.sh b/images/jekyll/build.sh
new file mode 100755
index 000000000..bfceb2781
--- /dev/null
+++ b/images/jekyll/build.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+# Copyright 2020 The gVisor Authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -euxo pipefail
+
+# Generate the syntax highlighting css file.
+/usr/gem/bin/rougify style github >/input/_sass/syntax.css
+/usr/gem/bin/jekyll build -t -s /input -d /output